# 1.3.0 — 2026-09-30

## 1.3.0 — 2026-09-30
**Added**
- Seller and buyer lead endpoints now automatically record cold-calling

consent on the contact (set to "collected" and timestamped) for

anti-cold-calling law / GDPR compliance. A normalized reason is stored

as proof, formatted as
`[API client] - [Transaction type] - [Request nature]`
.
- New endpoints added to the documentation:
  - `GET /actions/types`
 — list of action types.
  - `GET /mandates`
 and
`GET /mandates/{mandateId}`
 — mandate register.
  - `POST /products/{productId}/views`
 — add a product view.
  - `POST /products/{productId}/dpeGes`
 — generate the DPE/GES label.
  - `POST`
 and
`DELETE /users/{userId}/photo`
 — manage a user photo.

**Changed**
- Several response fields have been renamed for consistency (
`snake_case`

and business-aligned naming):
  - Sale transactions:
`fees_nego`
 →
`fees_user`
,

`fees_manufacturer`
 →
`fees_agency`
,

`fees_nego_manufacturer`
 →
`fees_user_agency`
,

`fees_customer_manufacturer`
 →
`fees_customer_agency`
.
  - Mandates:
`manufacturer`
 →
`agency`
,
`firstname`
 →
`first_name`
,

`lastname`
 →
`last_name`
,
`isAmendment`
 →
`is_amendment`
.
  - Criteria:
`shortName`
 →
`short_label`
,
`isEnabled`
 →
`is_activated`
,

`isActivated`
 →
`is_activated`
.

**Deprecated**
- Include aliases
`fees_nego`
,
`fees_manufacturer`
,
`fees_nego_manufacturer`
, and

`fees_customer_manufacturer`
 are deprecated in favor of
`fees_user`
,
`fees_agency`
,

`fees_user_agency`
, and
`fees_customer_agency`
. They remain available for backward

compatibility and will be removed in a future major release.

Version: 1.6.0
Security: bearerAuth

## Description:

  - `1.3.0 — 2026-09-30` ()
    **Added** - Seller and buyer lead endpoints now automatically record cold-calling

consent on the contact (set to "collected" and timestamped) for

anti-cold-calling law / GDPR compliance. A normalized reason is stored

as proof, formatted as
`[API client] - [Transaction type] - [Request nature]`
.
- New endpoints added to the documentation:
  - `GET /actions/types`
 — list of action types.
  - `GET /mandates`
 and
`GET /mandates/{mandateId}`
 — mandate register.
  - `POST /products/{productId}/views`
 — add a product view.
  - `POST /products/{productId}/dpeGes`
 — generate the DPE/GES label.
  - `POST`
 and
`DELETE /users/{userId}/photo`
 — manage a user photo. **Changed** - Several response fields have been renamed for consistency (
`snake_case`

and business-aligned naming):
  - Sale transactions:
`fees_nego`
 →
`fees_user`
,

`fees_manufacturer`
 →
`fees_agency`
,

`fees_nego_manufacturer`
 →
`fees_user_agency`
,

`fees_customer_manufacturer`
 →
`fees_customer_agency`
.
  - Mandates:
`manufacturer`
 →
`agency`
,
`firstname`
 →
`first_name`
,

`lastname`
 →
`last_name`
,
`isAmendment`
 →
`is_amendment`
.
  - Criteria:
`shortName`
 →
`short_label`
,
`isEnabled`
 →
`is_activated`
,

`isActivated`
 →
`is_activated`
. **Deprecated** - Include aliases
`fees_nego`
,
`fees_manufacturer`
,
`fees_nego_manufacturer`
, and

`fees_customer_manufacturer`
 are deprecated in favor of
`fees_user`
,
`fees_agency`
,

`fees_user_agency`
, and
`fees_customer_agency`
. They remain available for backward

compatibility and will be removed in a future major release.

